<%@ page language="java"  pageEncoding="utf-8"%>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="shortcut icon" href="${ctx}/favicon.ico" type="image/x-icon" />
<meta http-equiv="Content-Language" content="zh-cn" />
<meta name="robots" content="all" />
<meta name="author" content="PGWAWA-Kirk Zhou" />
<meta name="Copyright" content="Pgwawa" />
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE8" />
<meta name="Description" content="" />
<meta name="Keywords" content="" />

<link href="${ctx}/resources/css/style.css" rel="stylesheet" type="text/css" />
<link href="${ctx}/resources/css/bootstrap.css" rel="stylesheet" type="text/css" />

<link rel="stylesheet" href="${ctx}/resources/css/zTreeStyle/zTreeStyle.css" type="text/css" />
<link rel="stylesheet" href="${ctx}/resources/css/dateinput-skin1.css" type="text/css" />
<link rel="stylesheet" href="${ctx}/resources/css/jquery.autocomplete.css" type="text/css" />
<script src="${ctx}/resources/js/jquery-1.11.1.js"></script>
<script type="text/javascript" src="${ctx}/resources/js/jquerytools/jquery.tools.min.js"></script>
<script type="text/javascript" src="${ctx}/resources/js/jquery.ztree.all-3.2.js"></script>
<script type="text/javascript" src="${ctx}/resources/js/jquery.autocomplete.min.js"></script>
<link rel="stylesheet" href="${ctx}/resources/css/ui-lightness/jquery-ui-1.8.23.custom.css" type="text/css" />
<script type="text/javascript" src="${ctx}/resources/js/json2.js"></script>
<script type="text/javascript" src="${ctx}/resources/js/jquery-form-json.js"></script>
<script type="text/javascript" src="${ctx}/resources/js/jquery-dateFormat.js"></script>
<script type="text/javascript" src="${ctx}/resources/js/common.js"></script>
<script type="text/javascript">
<!--
	$(function(){
		//layout
		function layout(){
			var headerHeight = $('#header').height()+5;
			var pageHeaderHeight = $('.page-header').height() == null ? 0 : ($('.page-header').height()+11);
			var pageBodyHeight = 10;
			var pageFooterHeight = $('.page-footer').height() == null ? 0 : ($('.page-footer').height()+35);
			$('.menu').height($(window).height()-headerHeight);
			$('.page-body').height($(window).height()-headerHeight-pageHeaderHeight-pageBodyHeight-pageFooterHeight);
			$('.page-footer').show();
			var mask = $('<div class="mask" />');
			mask.height($('#content').height()-10);
			mask.width($('#content').width());
			$('#content').append(mask);

		}
		layout();
		$(window).resize(function(){
			layout();
		});

		$.tools.dateinput.localize("zh-CN", { 
			months: '一月,二月,三月,四月,五月,六月,七月,八月,九月,十月,十一月,十二月', 
			shortMonths: '一,二,三,四,无,六,七,八,九,十,十一,十二', 
			days: '星期日,星期一,星期二,星期三,星期四,星期五,星期六', 
			shortDays: '日,一,二,三,四,五,六' 
		}); 
	});

	$(document).ajaxStart(onStart)
	.ajaxComplete(onComplete)
	.ajaxSuccess(onSuccess);
	
	function onStart(event) {
		$('.mask').show();
	}
	function onComplete(event, xhr, settings) {
		$('.mask').hide();
	}
	function onSuccess(event, xhr, settings) {
	}
	
	function insertLatex(value){
		document.getElementById("editor-dialog").focus();
		editor.insertHtml('<img src="http://mathtex.qmth.com.cn/mathtex.cgi?'+value+'" alt="'+value+'" align="absmiddle" />');
	}
//-->
</script>
